Package Details: gemini-cli-git 1:r5876.g3061555d28-1

Git Clone URL: https://aur.archlinux.org/gemini-cli-git.git (read-only, click to copy)
Package Base: gemini-cli-git
Description: An open-source AI agent that brings the power of Gemini directly into your terminal (git version)
Upstream URL: https://github.com/google-gemini/gemini-cli
Licenses: Apache-2.0
Conflicts: gemini-cli, google-gemini-cli, google-gemini-cli-git
Provides: gemini-cli, google-gemini-cli
Replaces: google-gemini-cli-git
Submitter: viridivn
Maintainer: viridivn
Last Packager: viridivn
Votes: 3
Popularity: 0.050294
First Submitted: 2025-07-29 01:17 (UTC)
Last Updated: 2026-04-17 16:11 (UTC)

Dependencies (15)

Required by (10)

Sources (2)

Latest Comments

1 2 Next › Last »

Ammonium commented on 2026-04-17 00:52 (UTC)

Would it be possible to add this to /etc/gemini-cli/settings.json on install?

{
  "general": {
    "enableAutoUpdate": false
  }
}

Ammonium commented on 2026-04-16 17:44 (UTC)

This is missing a patch to disable auto updates in the config otherwise it keeps trying to update itself and failing every time it's opened.

The claude-code AUR package has one, maybe it would be similar for gemini-cli

viridivn commented on 2026-02-04 01:35 (UTC) (edited on 2026-02-04 01:36 (UTC) by viridivn)

Thanks for your comment. This package is the -git variant, and therefore it will always track the latest commit from upstream. If you want a stable experience I suggest using the gemini-cli package. Running npm audit fix during packaging goes against reproducible build customs and adds points of failure.

Ataraxy commented on 2026-02-03 13:24 (UTC) (edited on 2026-02-03 14:16 (UTC) by Ataraxy)

Please apply this patch for greater stability and resolving many of the audit issues which npm install shows:

diff --git a/PKGBUILD b/PKGBUILD
index 109d70f..23a1144 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -2,7 +2,7 @@
 pkgname=gemini-cli-git
 _pkgname=gemini-cli
 epoch=1
-pkgver=r3249.gc0b766ad7
+pkgver=r4381.ga8b4c38c89
 pkgrel=1
 pkgdesc="An open-source AI agent that brings the power of Gemini directly into your terminal (git version)"
 arch=('any')
@@ -23,7 +23,13 @@ pkgver() {

 build() {
   cd "$srcdir/$_pkgname"
-  npm install
+  # Use stable version (updates every Tuesday) https://github.com/google-gemini/gemini-cli?tab=readme-ov-file#stable
+  git checkout latest .
+
+  msg2 "npm audit fix"
+  npm audit fix --quiet || true
+  msg2 "npm install"
+  npm install --no-audit
 }

 package() {

viridivn commented on 2025-11-28 18:19 (UTC)

Resolved in npm 11.6.4

JimMoen commented on 2025-11-24 02:43 (UTC)

Can not build with npm@11.6.3 See also https://github.com/npm/cli/issues/8757

works with:

build() {
  npm install npm@11.6.2
  export PATH="$srcdir/node_modules/.bin:$PATH"
  cd "$srcdir/$_pkgname"
  npm install
}

viridivn commented on 2025-11-10 03:48 (UTC)

If anyone has suggestions on how to get pkgver to include the latest tag in a non-terrible way with Google's strange tagging method, please let me know.

Spyhawk commented on 2025-07-18 07:36 (UTC)

Yes, we have "google-chrome", but not sure I'd agree having "google" is better. For the same reason we don't say "antropic-claude-code" but "claude-code", or "firefox" instead of "mozilla-firefox". Also, the "gemini-cli" stable package doesn't have "google" in its name either.